Required iOS 11- iOS 12 only 😊
iOS 12.1 or above not working